# std::mem_fun_t< _Ret, _Tp > Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for std::mem_fun_t< _Ret, _Tp >:

List of all members.

## Detailed Description

### template<class _Ret, class _Tp>
class std::mem_fun_t< _Ret, _Tp >

Definition at line 583 of file stl_function.h.

## Public Types

- typedef _Tp * argument_type
- typedef _Ret result_type

## Public Member Functions

- mem_fun_t (_Ret(_Tp::*__pf)())
- _Ret operator() (_Tp *__p) const

## Member Typedef Documentation

typedef _Tp * std::unary_function< _Tp * , _Ret >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef _Ret std::unary_function< _Tp * , _Ret >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h